GSM_EXPLODE(3)

NAME
gsm_explode, gsm_implode — GSM 06.10 supplementary functions for testing

SYNOPSIS
#include "gsm.h"

void gsm_explode(g, frame, xframe)
gsm g;
gsm_frame frame;
gsm_signal xframe[ 76 ];

void gsm_implode(g, xframe, frame)
gsm g;
gsm_signal xframe[ 76 ];
gsm_frame frame;

DESCRIPTION
Gsm is an implementation of the final draft GSM 06.10 standard for full-rate speech transcoding. Test data for implementations of this particular document can be bought and used to verify an implementation.

The encoded test data uses a format different from what one would use to transmit frames with the least number of bits. Gsm_explode() and gsm_implode() convert between the internal, small, 33-byte format and the 76-word format used by the test data.

RETURN VALUE
gsm_explode() returns -1 if the passed frame is invalid, else 0.

BUGS
Please direct bug reports to jutta@cs.tu-berlin.de and cabo@cs.tu-berlin.de.

SEE ALSO
gsm(3)